# Uses of Interface
org.eclipse.core.resources.IResourceFilterDescription

Packages that use IResourceFilterDescription
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.ui.ide.dialogs
APIs for dialogs in the IDE-specific portion of the Eclipse Platform User Interface.

## Uses of IResourceFilterDescription in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IResourceFilterDescription
Modifier and Type
Method
Description
`IResourceFilterDescription`
IContainer.`createFilter(int type, FileInfoMatcherDescription matcherDescription, int updateFlags, IProgressMonitor monitor)`
Adds a new filter to this container.
`IResourceFilterDescription[]`
IContainer.`getFilters()`
Retrieve all filters on this container.

## Uses of IResourceFilterDescription in org.eclipse.ui.ide.dialogs

Methods in org.eclipse.ui.ide.dialogs with parameters of type IResourceFilterDescription
Modifier and Type
Method
Description
`static UIResourceFilterDescription`
UIResourceFilterDescription.`wrap(IResourceFilterDescription iResourceFilterDescription)`